#
# spec file for package openstack-tempest
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global sname tempest
Name:           openstack-tempest
Version:        12.1.0
Release:        1.2
Summary:        The OpenStack Integration Test Suite
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            http://launchpad.net/tempest
Source0:        https://pypi.io/packages/source/t/%{sname}/%{sname}-%{version}.tar.gz
BuildRequires:  openstack-macros
BuildRequires:  python-PrettyTable >= 0.7
BuildRequires:  python-PyYAML >= 3.1.0
BuildRequires:  python-cliff >= 1.15.0
BuildRequires:  python-devel
BuildRequires:  python-fixtures >= 3.0.0
BuildRequires:  python-jsonschema >= 2.0.0
BuildRequires:  python-mock >= 2.0
BuildRequires:  python-netaddr >= 0.7.12
BuildRequires:  python-os-testr >= 0.7.0
BuildRequires:  python-oslo.concurrency >= 3.8.0
BuildRequires:  python-oslo.config >= 3.14.0
BuildRequires:  python-oslo.i18n >= 2.1.0
BuildRequires:  python-oslo.log >= 1.14.0
BuildRequires:  python-oslo.serialization >= 1.10.0
BuildRequires:  python-oslo.utils >= 3.16.0
BuildRequires:  python-oslotest >= 1.10.0
BuildRequires:  python-paramiko >= 2.0
BuildRequires:  python-pep8 >= 1.5.7
BuildRequires:  python-pyOpenSSL >= 0.14
BuildRequires:  python-six >= 1.9.0
BuildRequires:  python-stevedore >= 1.16.0
BuildRequires:  python-testrepository >= 0.0.18
BuildRequires:  python-testscenarios >= 0.4
BuildRequires:  python-testtools >= 1.4.0
BuildRequires:  python-urllib3 >= 1.15.1
Requires:       python-PrettyTable >= 0.7
Requires:       python-PyYAML >= 3.1.0
Requires:       python-cliff >= 1.15.0
Requires:       python-fixtures >= 3.0.0
Requires:       python-jsonschema >= 2.0.0
Requires:       python-netaddr >= 0.7.12
Requires:       python-os-testr >= 0.7.0
Requires:       python-oslo.concurrency >= 3.8.0
Requires:       python-oslo.config >= 3.14.0
Requires:       python-oslo.i18n >= 2.1.0
Requires:       python-oslo.log >= 1.14.0
Requires:       python-oslo.serialization >= 1.10.0
Requires:       python-oslo.utils >= 3.16.0
Requires:       python-paramiko >= 2.0
Requires:       python-pyOpenSSL >= 0.14
Requires:       python-six >= 1.9.0
Requires:       python-stevedore >= 1.16.0
Requires:       python-testrepository >= 0.0.18
Requires:       python-testscenarios >= 0.4
Requires:       python-testtools >= 1.4.0
Requires:       python-urllib3 >= 1.15.1
BuildArch:      noarch

%description
Tempest is a set of integration tests to be run against a live OpenStack
cluster. Tempest has batteries of tests for OpenStack API validation,
Scenarios, and other specific tests useful in validating an OpenStack
deployment.

%package doc
Summary:        Documentation for the OpenStack Integration Test Suite
Group:          Development/Languages/Python
BuildRequires:  python-Sphinx
BuildRequires:  python-oslosphinx >= 2.5.0

%description doc
Documentation for the OpenStack Integration Test Suite.

%prep
%setup -q -n %{sname}-%{version}
# FIXME(toabctl): Remove when https://review.openstack.org/#/c/363036/ is merged
sed -i -e 's/^\(html_last_updated_fmt.*\)\(git_cmd\)/\1"\/usr\/bin\/true"/' doc/source/conf.py

%build
%{py2_build}

%install
%{py2_install}

# NOTE(toabctl): config files are installed into usr/etc/
install -d -m 755 %{buildroot}%{_sysconfdir}/tempest
mv %{buildroot}/%{_prefix}/%{_sysconfdir}/%{sname}/accounts.yaml.sample %{buildroot}/%{_sysconfdir}/%{sname}/accounts.yaml
mv %{buildroot}/%{_prefix}/%{_sysconfdir}/%{sname}/javelin-resources.yaml.sample %{buildroot}/%{_sysconfdir}/%{sname}/javelin-resources.yaml
mv %{buildroot}/%{_prefix}/%{_sysconfdir}/%{sname}/logging.conf.sample %{buildroot}/%{_sysconfdir}/%{sname}/logging.conf
mv %{buildroot}/%{_prefix}/%{_sysconfdir}/%{sname}/whitelist.yaml %{buildroot}/%{_sysconfdir}/%{sname}/whitelist.yaml

# generate html docs
%{__python2} setup.py build_sphinx
# remove the sphinx-build leftovers
###rm -rf doc/build/html/.{doctrees,buildinfo}

##%check
##export OS_TEST_PATH=./tempest/tests
##PYTHONPATH=. %{__python2} setup.py testr

%files
%license LICENSE
%doc README.rst ChangeLog
%{python2_sitelib}/tempest
%{python2_sitelib}/*.egg-info
%{_bindir}/tempest
%{_bindir}/verify-tempest-config
%{_bindir}/javelin2
%{_bindir}/run-tempest-stress
%{_bindir}/tempest-cleanup
%{_bindir}/tempest-account-generator
%{_bindir}/skip-tracker
%{_bindir}/check-uuid
%{_bindir}/subunit-describe-calls
%dir %{_sysconfdir}/tempest
%config(noreplace) %{_sysconfdir}/tempest/logging.conf
%config(noreplace) %{_sysconfdir}/tempest/accounts.yaml
%config(noreplace) %{_sysconfdir}/tempest/whitelist.yaml
%config(noreplace) %{_sysconfdir}/tempest/javelin-resources.yaml

%files doc
%license LICENSE
%doc doc/build/html

%changelog
* Fri Sep 30 2016 dmueller@suse.com
- Initial package (12.1.0)
